- Home
- Resources
- Layout admin API
WS for Tesslets Layouts Configuration
POST /admin/layout
Create new Layout configuration
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcBasicIdentity
(JSON) |
|
DELETE /admin/layout/fields
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /admin/layout/fields
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
GET /admin/layout/json
Get List of Layouts
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
DELETE /admin/layout/{layoutId}
Delete Layout configuration
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
POST /admin/layout/assign/{layoutId}
Assign user or group to given Layout configuration
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
ID of Layout |
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the assignment has or has
not been succeeded. |
PUT /admin/layout/setdefault/{layoutId}
set default hdc applicationlayout
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
The id of the layout. |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the setting has or has not
been succeeded. |
POST /admin/layout/unassign/{layoutId}
Unassign user or group to given Layout configuration
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
GET /admin/layout/views/json
Get list of views
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /admin/layout/members/json/{layoutId}
Get list of layout members (users or groups)
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
| mode |
query |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with list of groups
Example of response:
{"list":[{"id":"x","description":"Members of Tessel Crew group","name":"Tessel Crew"},{"id":"y","description":"aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll ","name":"Group B"}]}
or |
GET /admin/layout/perspectivesets/{layoutId}/{viewId}
Get list of perspective sets for given Layout and view
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
| viewId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /admin/layout/perspectivesets/add/{layoutId}/{viewId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
| viewId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
POST /admin/layout/perspectivesets/remove/{layoutId}/{viewId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
| viewId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
GET /admin/layout/fields/json/{layoutId}/{viewId}/{classId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| classId |
path |
|
|
long |
| layoutId |
path |
|
|
long |
| viewId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /admin/layout/perspectiveset/setdefault/{layoutId}/{viewId}/{perspSetId}
Set default perspective set for given view in layout
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layoutId |
path |
|
|
long |
| perspSetId |
path |
|
|
long |
| viewId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|